Subject: Opsdir telechat review of draft-baeuerle-netnews-cancel-lock-06

From: Joel Jaeggli <[email-masked]>
Date: Fri, 06 Oct 2017 11:22:38 -0700

Reviewer: Joel Jaeggli
Review result: Has Nits

I have reviewed draft-baeuerle-netnews-cancel-lock on behalf of the Operations
Directorate, for the IESG telechat review.

Modula the issues raised in the Genart Review (abnf validation) and security (
pre-image attack protection) I think this is a largely ready to go.

Under the best circumstances methods for article cancelation aren't necessarily
honored, are intended to  be employed by  a diverse group of end users
injecting netnews agents, or moderators, asserting various roles in managing
message removal and offer somewhere between poor to no assurance of efficacy.

To the extent that this methodology offers an improvement  to the set of
parties that chose to both employ it and honor it; it offers protection against
spurious removal requests from within the scope of their systems. the
protections offered by the MUST NOT in section 3.2 are weak as the message has
no integrity protection of substance and any such assurance that demand is
honored is a coordination problem between like-minded operators.